package com.caimei365.user.service;

import com.caimei365.user.model.ResponseJson;

import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2021/3/4
 */
public interface BaseService {
    /**
     * 获取图片验证码
     *
     * @param platformType 0:www，1:crm/h5，2:小程序
     * @return Map<String, Object>
     */
    ResponseJson<Map<String, Object>> getCaptchaImage(Integer platformType);

    /**
     * 校验图片验证码
     *
     * @param token        图片验证码token
     * @param imgCode      图片验证码
     * @param platformType 0:www，1:crm/h5，2:小程序
     * @return Boolean
     */
    Boolean checkCaptchaImage(String token, String imgCode, Integer platformType);

    /**
     * 获取短信验证码
     *
     * @param mobile           手机号
     * @param activateCodeType 1:找回密码,2:手机号注册机构,3:供应商注册
     * @param platformType     0:www，1:crm/h5，2:小程序
     * @param isCheckCaptcha   是否检查图片验证码，0:检查，1:不检查
     * @param imgCode          图片验证码
     * @param token            图片验证码token
     * @return void
     */
    ResponseJson getSmsCode(String mobile, Integer activateCodeType, Integer platformType, Integer isCheckCaptcha, String imgCode, String token);

    /**
     * 绑定账号,发送短信验证
     *
     * @param mobile           运营人员手机号
     * @param bindMobile       机构手机号
     * @param userId           机构Id
     * @param platformType     0:www，1:crm/h5，2:小程序
     * @param isCheckCaptcha   是否检查图片验证码，0:检查，1:不检查
     * @param imgCode          图片验证码
     * @param token            图片验证码token
     */
    ResponseJson getBindSmsCode(String mobile, String bindMobile, Integer userId, Integer platformType, Integer isCheckCaptcha, String imgCode, String token);
}
